org.jbpm.services.cdi.impl.store

## Class DeploymentSynchronizerCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.store.DeploymentSynchronizer
  - - org.jbpm.services.cdi.impl.store.DeploymentSynchronizerCDIImpl

- All Implemented Interfaces:
    DeploymentEventListener

      @ApplicationScoped
      public class DeploymentSynchronizerCDIImpl
      extends DeploymentSynchronizer

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer

      `DEPLOY_SYNC_ENABLED, DEPLOY_SYNC_INTERVAL, targetExceptionClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentSynchronizerCDIImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure()`
    `void` | `onActivate(DeploymentEvent event)`
    `void` | `onDeactivate(DeploymentEvent event)`
    `void` | `onDeploy(DeploymentEvent event)`
    `void` | `onUnDeploy(DeploymentEvent event)`
    `void` | `setDeploymentService(DeploymentService deploymentService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer

      `clear, isActive, isCausedByConstraintViolation, setDeploymentStore, synchronize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSynchronizerCDIImpl

          public DeploymentSynchronizerCDIImpl()

  - ### Method Detail

    - #### configure

          @PostConstruct
          public void configure()

    - #### setDeploymentService

          @Inject
          public void setDeploymentService(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `DeploymentSynchronizer`

    - #### onDeploy

          public void onDeploy(@Observes
                               DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `DeploymentSynchronizer`

    - #### onUnDeploy

          public void onUnDeploy(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `DeploymentSynchronizer`

    - #### onActivate

          public void onActivate(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `DeploymentSynchronizer`

    - #### onDeactivate

          public void onDeactivate(@Observes
                                   DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `DeploymentSynchronizer`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.